Subject: More configuration headaches [ sh.exe not initializing itself ]
From: "David A. Cobb" <[email-masked]>
To: Cygwin Discussion <[email-masked]>
Date: Mon, 16 Sep 2002 16:35:30 -0400

As I've reported elsewhere, ( 
<http://cygwin.com/ml/cygwin/2002-09/msg00302.html> )
I am being consistantly shot out of the water when I try to configure/make.
I figure I'll need a debug version of cygwin1.dll sooner or later, so 
today I tried to configure that.

The configure appeared to go well.  The make, however, incurred the 
sameold sameold error in very high memory (ntdll.dll) trying to 
reference 0x00000010, accompanyed by the " sh.exe application failed to 
initialize itself ".  It then died a horrible death as attached.

My cygcheck can be found in the other thread - it hasn't changed.

-- 
David A. Cobb, Software Engineer, Public Access Advocate
"By God's Grace I am a Christian man, by my actions a great sinner." -- The Way of a Pilgrim; R. M. French, tr.
Life is too short to tolerate crappy software.
.

rm -f needed-list; touch needed-list; \
for f in atexit calloc memchr memcmp memcpy memmove memset rename strchr strerror strncmp strrchr strstr strtol strtoul tmpnam vfprintf vprintf vfork waitpid bcmp bcopy bzero; do \
  for g in asprintf.o basename.o insque.o mkstemps.o sigsetmask.o vasprintf.o ; do \
    case "$g" in \
      *$f*) echo $g >> needed-list ;; \
    esac; \
  done; \
done
make[1]: *** [needed-list] Error 5
make[1]: Leaving directory `/usr/test/cygwin/build/libiberty'
make: *** [all-libiberty] Error 2

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/